/**
  *  \file client/widgets/objcontrol.h
  *  \brief Object type control widget
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_OBJCONTROL_H
#define PCC_V2_CLIENT_WIDGETS_OBJCONTROL_H

#include "ui/ui.h"
#include "game/objtypes.h"

/** Object type control. Allows keyboard control of the selection in a
    GObjectType. For use with a WObjectTypeHeaderTile and some
    WObjectTypeObserverTile's. WObjectTypeControl itself is invisible. */
class WObjectTypeControl : public UIFixedWidget {
    GObjectType& type;
 public:
    WObjectTypeControl(GObjectType& type);
    bool handleEvent(const UIEvent& event, bool second_pass);
    void drawContent(GfxCanvas& can);
};

#endif
