/**
  *  \file game/actions/basefix.h
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_ACTIONS_BASEFIX_H
#define PCC_V2_GAME_ACTIONS_BASEFIX_H

#include "game/planet.h"
#include "game/error.h"

class GUniverse;
class GObjectList;

class GStarbaseFixRecycleAction {
    int        num_own, num_foreign;
    GUniverse& univ;
    GPlanet&   planet;
 public:
    GStarbaseFixRecycleAction(GUniverse& univ, GPlanet& planet);
    bool canFix() const;
    bool canRecycle() const;
    bool setAction(TShipyardAction action, int ship_id);
    void enumerateShipsFor(TShipyardAction action, GObjectList& list);
};

GError checkBaseAction(TShipyardAction action, const GUniverse& univ, int ship_id, int planet_id);

#endif
