/**
  *  \file ui/widgets/imagewidget.h
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_IMAGEWIDGET_H
#define PCC_V2_UI_WIDGETS_IMAGEWIDGET_H

#include "gfx/pixmap.h"
#include "cpluslib/smartptr.h"
#include "ui/ui.h"

class UIImageWidget : public UIWidget {
    Ptr<GfxPixmap> pix;
    GfxPoint size;
 public:
    UIImageWidget(Ptr<GfxPixmap> pix);
    UIImageWidget(int x, int y, Ptr<GfxPixmap> pix);
    UIImageWidget(int x, int y);

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
    void setImage(Ptr<GfxPixmap> pix);
};

#endif
